<?php
namespace Modules\Orders\Amadeus\ServicesList;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options

			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("orderTicketDetails")
				->setDescription($this->lang['index']['options']['buttons']['tktDetails'])
				->setIcon("ticket")
				->setDimensions(950, 750)
				->setModule("Modules/Orders/ImportedOrders/ServicesList")
				->setAction("ticketDetails")
				->setKeyForCurrentRow('idImportedService')
				->setKeyAttributeCurrentRow('importedServiceId')
			)

		;
	}
}
